MidoNet Agent
==================

Overview
--------

This charm installs the MidoNet Agent which is the user-space component that
interfaces with Apache Zookeeper to read the virtual network configuration
and sets up the kernel Open vSwitch data path flows accordingly. In OpenStack
deployments, the MidoNet host agent constitutes Midonet's neutron agent.

The host agent is a daemon that, as aforementioned, uses Apache Zookeeper for
the distributed network configuration data store. Additionally it uses Apache
Cassandra for storing ephemeral network data. This charm will install the
version (upstream opensource or downstream MEM) that its midonet-origin config
determines. For an example of a midonet-origin string:

    "kilo/midonet-2015.03"
    "kilo/mem-1.9" (this would require setting mem-username and
                    mem-password config)

Usage
-----

    juju deploy midonet-agent

then make it connect to the distributed data

    juju add-relation midonet-agent zookeeper
    juju add-relation midonet-agent cassandra

Then you can connect it to the midonet-api so that it will be added to the
default tunnel zone:

    juju add-relation midonet-agent midonet-api

Finally, if this is for an OpenStack compute host, relate it to nova-compute
charm:

    juju add-relation midonet-agent:neutron-plugin \
    nova-compute:neutron-plugin
